from my_modules.TheIPManager import TheIPManager
from my_modules.app.logger import logger

from dotenv import find_dotenv, load_dotenv, dotenv_values
import os, asyncio

async def read_dot_file():
  if load_dotenv(find_dotenv()):
    dot_env_file = find_dotenv()
    await logger.info(f'Found dotenv File: {dot_env_file}')
    await logger.info(f'Loaded Content: {dict(dotenv_values(dot_env_file))}')

asyncio.run(read_dot_file())

WEB_DEBUG = os.getenv("WEB_DEBUG", False)

SECRET_KEY = os.getenv("FLASK_SECRET_KEY", "USE_ENV_das_ist_ein_geheimer_schlüssel_1")
API_GROUP = os.getenv("API_GROUP", 'NanoShare')

THE_IP_BOT_MANAGER = TheIPManager()

SKIP_PATH_PREFIXES = ("/static", "/storage")
SKIP_PATHS = ("/favicon.ico",)

# Blocke IPs (Bots, Hackers)
BLOCKED_IPS_ACCESSING_TIMES = int(os.getenv("BLOCKE_IPS_AFTER_ACCESSING_HOWMANY_TIME", 5))
BLOCKED_IPS_STORED_TIMEFRAME = int(os.getenv("BLOCKE_IPS_STORE_KEYS_TIMEFRAME", 3600))
